Subject: RE: DHCP Packets with Option 82 from Trusted Circuit

From: "Mark Llacuna" <[email-masked]>
Date: Fri, 18 May 2001 10:06:08 -0700

: -----Original Message-----
: From: Ted Lemon [mailto:[email-masked]]
: Sent: Friday, May 18, 2001 8:58 AM
: To: Llacuna, Mark [SC9:T337:EXCH]
: Cc: DHCPv4 discussion list
: Subject: Re: DHCP Packets with Option 82 from Trusted Circuit
: 
: 
: 
: > I understand that in the case where the DHCP server lease 
: assignment policy
: > involves the use of the DSLAM's option 82, the relay agent 
: must forward the
: > DHCP packet without touching the option 82.
: > 
: > But what about in the case where the DHCP server does not 
: use the option 82:
: > will encapsulating the DSLAM's option 82 within the Relay 
: Agent's option 82
: > be an acceptable solution?
: 
: Are the two devices adding competing information?   That is, are both,
: for example, adding a remote-id suboption?   If not, you might
: consider having the cable modem simply add its own suboptions to the
: existing option 82.

Our relay agent may add a circuit id and/or a remote id depending
on the configuration.  However, it needs to be configured to add
a circuit id in the scenario I've mentioned wherein the agent requires
additional information for it to relay responses back to the DSLAM.

: 
: I don't think the existing draft talks about encapsulating option 82
: within option 82, so I don't think there's a standard way of doing
: this.
: 
: Where you're really going to run into trouble is if somebody buys your
: DSLAM and someone else's relay agent, or vice versa.   If that's not a
: possibility, then you can just make sure that whatever leaves the
: relay agent is conformant.

If ever we decide to go with the "encapsulation" strategy, we'll
probably allow it to be enabled/disabled.  But as you said,
enabling it is non-standard behavior.

: 
: 			       _MelloN_
: 

Thank!

Mark

---

From: Ted Lemon <[email-masked]>
Date: Fri, 18 May 2001 10:15:28 -0700

> additional information for it to relay responses back to the DSLAM.

Hrm, so you might need a circuit ID for the relay agent, and then a
different circuit ID for the DSLAM?

			       _MelloN_